<?php
/**
 * @file
 * conference_registration.features.field_base.inc
 */

/**
 * Implements hook_field_default_field_bases().
 */
function conference_registration_field_default_field_bases() {
  $field_bases = array();

  // Exported field_base: 'commerce_price'.
  $field_bases['commerce_price'] = array(
    'active' => 1,
    'cardinality' => 1,
    'deleted' => 0,
    'entity_types' => array(
      0 => 'commerce_product',
    ),
    'field_name' => 'commerce_price',
    'indexes' => array(
      'currency_price' => array(
        0 => 'amount',
        1 => 'currency_code',
      ),
    ),
    'locked' => 1,
    'module' => 'commerce_price',
    'settings' => array(),
    'translatable' => 0,
    'type' => 'commerce_price',
  );

  // Exported field_base: 'conference_dates_available'.
  $field_bases['conference_dates_available'] = array(
    'active' => 1,
    'cardinality' => -1,
    'deleted' => 0,
    'entity_types' => array(),
    'field_name' => 'conference_dates_available',
    'field_permissions' => array(
      'type' => 0,
    ),
    'indexes' => array(
      'target_id' => array(
        0 => 'target_id',
      ),
    ),
    'locked' => 0,
    'module' => 'entityreference',
    'settings' => array(
      'handler' => 'views',
      'handler_settings' => array(
        'behaviors' => array(
          'views-select-list' => array(
            'status' => 0,
          ),
        ),
        'view' => array(
          'args' => array(),
          'display_name' => 'dates',
          'view_name' => 'conference_registration_references',
        ),
      ),
      'profile2_private' => FALSE,
      'target_type' => 'conference_date',
    ),
    'translatable' => 0,
    'type' => 'entityreference',
  );

  return $field_bases;
}
