<?php

/**
 * @file
 * conference_submissions.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function conference_submissions_field_default_field_instances() {
  $field_instances = [];

  // Exported field_instance: 'node-conference-conference_allow_resubmit'.
  $field_instances['node-conference-conference_allow_resubmit'] = [
    'bundle' => 'conference',
    'default_value' => [
      0 => [
        'value' => 0,
      ],
    ],
    'deleted' => 0,
    'description' => 'Allow resubmitting presentations from the previous year (useful for canceled conferences).',
    'display' => [
      'default' => [
        'label' => 'above',
        'module' => 'list',
        'settings' => [],
        'type' => 'list_default',
        'weight' => 14,
      ],
      'full' => [
        'label' => 'above',
        'settings' => [],
        'type' => 'hidden',
        'weight' => 0,
      ],
      'home_page' => [
        'label' => 'above',
        'settings' => [],
        'type' => 'hidden',
        'weight' => 0,
      ],
      'teaser' => [
        'label' => 'above',
        'settings' => [],
        'type' => 'hidden',
        'weight' => 0,
      ],
    ],
    'entity_type' => 'node',
    'field_name' => 'conference_allow_resubmit',
    'label' => 'Allow resubmissions',
    'required' => 0,
    'settings' => [
      'user_register_form' => FALSE,
    ],
    'widget' => [
      'active' => 1,
      'module' => 'options',
      'settings' => [
        'display_label' => 0,
      ],
      'type' => 'options_onoff',
      'weight' => 31,
    ],
  ];

  // Exported field_instance: 'node-presentation-conference_presentation_resubd'.
  $field_instances['node-presentation-conference_presentation_resubd'] = [
    'bundle' => 'presentation',
    'default_value' => [
      0 => [
        'value' => 0,
      ],
    ],
    'deleted' => 0,
    'description' => '',
    'display' => [
      'conference_schedule_xml' => [
        'label' => 'above',
        'settings' => [],
        'type' => 'hidden',
        'weight' => 0,
      ],
      'conference_submissions_tabular' => [
        'label' => 'above',
        'settings' => [],
        'type' => 'hidden',
        'weight' => 0,
      ],
      'default' => [
        'label' => 'above',
        'module' => 'list',
        'settings' => [],
        'type' => 'list_default',
        'weight' => 10,
      ],
      'full' => [
        'label' => 'above',
        'settings' => [],
        'type' => 'hidden',
        'weight' => 0,
      ],
      'teaser' => [
        'label' => 'above',
        'settings' => [],
        'type' => 'hidden',
        'weight' => 0,
      ],
    ],
    'entity_type' => 'node',
    'field_name' => 'conference_presentation_resubd',
    'label' => 'Resubmitted',
    'required' => 0,
    'settings' => [
      'user_register_form' => FALSE,
    ],
    'widget' => [
      'active' => 1,
      'module' => 'options',
      'settings' => [
        'display_label' => 1,
      ],
      'type' => 'options_onoff',
      'weight' => 31,
    ],
  ];

  // Translatables
  // Included for use with string extractors like potx.
  t('Allow resubmissions');
  t('Allow resubmitting presentations from the previous year (useful for canceled conferences).');
  t('Resubmitted');

  return $field_instances;
}
